@font-face {
    font-family: 'Convergence';
    src: url("../fonts/convergence-regular-TGjOjJ5.woff2") format('woff2'), url("../fonts/convergence-regular-zTq4EwN.ttf") format('truetype');
}

:root,
[data-bs-theme=light] {
    /* The real BG, under each widget */
    --true-bg: #dee4e7;
    --body-bg: #f5f5f5;
    --body-color: #444054;
    --body-color-rgb: 68, 64, 84;

    --bs-body-bg: var(--body-bg);
    --bs-body-color: var(--body-color);
    --bs-emphasis-color: var(--body-color);
    --bs-link-color-rgb: var(--body-color-rgb);
    --bs-link-decoration: none;

}

[data-bs-theme=dark] {
    --true-bg: #1d1d1d;
    --body-bg: #3e3d40;
    --body-color: #fff;
    --body-color-rgb: 255, 255, 255;
}

::-webkit-scrollbar {
    width: 0;
}

* {
    font-family: Convergence, sans-serif !important;
}

body {
    background-color: var(--true-bg);
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

p {
    margin-bottom: 0.8em;
}

#theme-toggle {
    /* 99999 Symfony = toolbar */
    z-index: calc(99999 + 1);
    font-size: 1.5em;
    position: fixed;
    right: 0;
    top: 0;
    opacity: 33%;
    line-height: normal;
    margin: 0;
    cursor: pointer;
}

#theme-toggle:hover {
    opacity: 1;
}

.widget-container {
    height: 50vh;
}

.widget-container .widget {
    height: calc(100% - var(--bs-gutter-x));
}

.widget-container .widget .card {
    height: 100%;
}

.widget-container .widget-content {
    border-radius: 0 0 0.25em 0.25em;
}

.google-drive-main .widget-content,
.google-drive-two-main .widget-content {
    height: 40vh;
    padding: 0 !important;
}

.google-drive-main .widget-content>div,
.google-drive-two-main .widget-content>div {
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    overflow: hidden;
}

.google-drive-main .widget-content>div::before,
.google-drive-two-main .widget-content>div::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: var(--image-url);
    background-size: cover;
    background-position: center;
    filter: blur(20px);
    transform: scale(1.1);
    z-index: 0;
}

.google-drive-main .widget-content>div::after,
.google-drive-two-main .widget-content>div::after {
    content: "";
    position: absolute;
    inset: 0;
    background-image: var(--image-url);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
}

.google-drive-main .widget-content>div:hover .drive-overlay,
.google-drive-two-main .widget-content>div:hover .drive-overlay {
    display: grid !important;
}

.google-drive-main .widget-content>div>.drive-overlay,
.google-drive-two-main .widget-content>div>.drive-overlay {
    display: none;
    grid-template-columns: 1fr 1fr;
}

.google-drive-main .widget-content>div>.drive-overlay .drive-next,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-next,
.google-drive-main .widget-content>div>.drive-overlay .drive-previous,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-previous {
    color: rgba(255, 255, 255, 0.25);
    cursor: pointer;
}

.google-drive-main .widget-content>div>.drive-overlay .drive-next:hover,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-next:hover,
.google-drive-main .widget-content>div>.drive-overlay .drive-previous:hover,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-previous:hover {
    color: #fff;
}

.google-drive-main .widget-content>div>.drive-overlay .drive-previous,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-previous {
    grid-column: 0.5;
}

.google-drive-main .widget-content>div>.drive-overlay .drive-next,
.google-drive-two-main .widget-content>div>.drive-overlay .drive-next {
    grid-column: 0.6666666667;
}

.geolocation-main .widget-content {
    padding: 0 !important;
    position: relative;
}

.geolocation-main .widget-content .map-marker {
    border-radius: 50%;
    overflow: hidden;
}

.geolocation-main .widget-content .map-marker img {
    width: 45px;
    height: 45px;
}

.geolocation-main .widget-content .btn-map-settings {
    z-index: 1000;
    position: absolute;
    right: 10px;
    top: 10px;
    border: 1px solid #3e3d40;
}

@media screen and (max-height: 600px) {
    .widget-container {
        height: 100vh;
    }

    .widget-container .widget-content {
        max-height: initial;
    }
}
